搬瓦工VPS安装WordPress选择哪个套餐以及PHP和MySQL选哪个版本_搬瓦工_搬瓦工VPS

很多新手朋友购买搬瓦工,主要是为了搭建自己的WordPress网站。有一些朋友会有些迷茫,搭建WordPress的话,安装什么环境好,是安装PHP7+还是PHP5,是安装MySQL5.6还是更高的版本。这篇文章就结合WordPress官方推荐的配置,和LNMP各组件需要的内存、硬盘大小,简单的说一说,搬瓦工的VPS安装Wordpress选哪个套餐好。

一:WordPress官方推荐的环境

WordPress官方的推荐的Wordpress环境为:

  • PHP 7.3或更高版本
  • MySQL 5.6或更高版本或MariaDB版本10.0或更高版本
  • HTTPS支持。

当然这并不是说低版本的PHP或者MySQL就不能运行了,WordPress目前依然可以运行在PHP 5.2.4+ 和 MySQL 5.0+的环境下,只不过低版本的官方已经停止更新维护,容易出来安全漏洞等等。

二:LNMP环境各组件需要的资源

LNMP在安装说明里有明确说明安装高版本的PHP、MySQL需要的内存和硬盘空间,具体如下:

  • 安装MySQL 5.6或5.7及MariaDB 10必须1G以上内存,更高版本至少要2G内存
  • 安装PHP 7及以上版本必须1G以上内存
  • 安装MySQL 5.7、MariaDB 10至少9GB剩余硬盘空间。

另外LNMP的说明文档里还有一条,CentOS 5、Debian 6及之前版本其官网已经结束支持无法使用,也就是VPS安装系统的时候请不要安装这两个系统或更低版本。

三:建议以及总结

以目前搬瓦工最便宜的49.99刀的套餐配置为例,1G内存,20G硬盘,我个人是比较建议安装php7+、MySQL5.5.60(也就是目前LNMP安装时候的默认选项)。

四:附录

WordPress官方推荐的运行环境:https://wordpress.org/support/article/requirements/

LNMP官方系统及配置需求:https://lnmp.org/install.html

搬瓦工目前最便宜的套餐以及最大优惠幅度优惠码:https://www.bwhcn.com/1989.html

更多搬瓦工套餐选择:https://www.bwhcn.com/banwagong-cart

 

鄙视无脑复制采集小尾巴:

搬瓦工套餐、资讯、教程 请访问 https://www.bwhcn.com/

搬瓦工最新优惠码:https://www.bwhcn.com/youhuima

搬瓦工各机房测试IP:https://www.bwhcn.com/54.html

 

未经允许不得转载:国外便宜VPS » 搬瓦工VPS安装WordPress选择哪个套餐以及PHP和MySQL选哪个版本_搬瓦工_搬瓦工VPS

赞 (0)

评论 0

  • 昵称 (必填)
  • 邮箱 (必填)
  • 网址